// creator  : weidu (version 20300)
// argument : SUJON.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : ./dialog.tlk
// dialogF  : (none)

BEGIN ~SUJON~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #54671 /* ~What... who... WHO DARES?!~ [IRENIC59] */
  IF ~~ THEN REPLY #54673 /* ~I dare! Your plans are ruined, Irenicus! You will die here!~ */ GOTO 1
  IF ~~ THEN REPLY #54674 /* ~You had to know I wouldn't let you get away.~ */ GOTO 1
  IF ~~ THEN REPLY #54675 /* ~By all that is righteous, I am here to destroy you!~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.2 0.1 0.0
  SAY #54672 /* ~You... you live *yet*?!  You have less than a fraction of your soul and yet somehow you *continue* to oppose me?~ [IRENIC60] */
  IF ~~ THEN GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #54704 /* ~The power... the power of the Tree is gone from me.  You have been successful in your little scheme, insect, but now this ends!~ [IRENIC61] */
  IF ~~ THEN GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #54705 /* ~I will take great pleasure in eradicating such a nuisance as you.  And then I shall... re-establish my link, join with the Tree once again... I shall find a way, I shall *have* the power --~ [IRENIC62] */
  IF ~~ THEN EXTERN ~SUELLE~ 12
END

IF ~~ THEN BEGIN 4 // from:
  SAY #54707 /* ~Who...?  Ellesime?~ [IRENIC63] */
  IF ~~ THEN EXTERN ~SUELLE~ 13
END

IF ~~ THEN BEGIN 5 // from:
  SAY #54709 /* ~Do not call me that!  I lost all right to that name when the Seldarine stripped me of everything that was elven, as you well know.~ [IRENIC64] */
  IF ~~ THEN EXTERN ~SUELLE~ 14
END

IF ~~ THEN BEGIN 6 // from:
  SAY #54712 /* ~It... is all I have now, Ellesime.  There is nothing else beyond my revenge.  Revenge for what you did to me, that the Seldarine did to me...~ [IRENIC65] */
  IF ~~ THEN EXTERN ~SUELLE~ 16
END

IF ~~ THEN BEGIN 7 // from:
  SAY #54715 /* ~I...~ [IRENIC66] */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY #54716 /* ~I do not remember your love, Ellesime.  I have tried.  I have tried to recreate it, to spark it anew in my memory.  But it is gone... a hollow, dead thing.~ [IRENIC67] */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY #54717 /* ~For years, I clung to the memory of it.  Then the memory of the memory.  And then nothing.  The Seldarine took that from me, too!~ [IRENIC68] */
  IF ~~ THEN GOTO 10
END

IF ~~ THEN BEGIN 10 // from: 9.0
  SAY #54718 /* ~I look upon you and I feel nothing.  I remember nothing but you turning your back on me, along with all the others.~ [IRENIC69] */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY #54719 /* ~Once my thirst for power was everything.  And now I hunger only for revenge.  And... I... WILL... HAVE IT!!~ [IRENIC70] */
  IF ~~ THEN EXTERN ~SUELLE~ 18
END

IF ~~ THEN BEGIN 12 // from:
  SAY #54722 /* ~We shall see, my former love.  We shall see.~ [IRENIC71] */
  IF ~~ THEN DO ~ClearAllActions()
StartCutSceneMode()
StartCutScene("cut78a")
~ SOLVED_JOURNAL #4323 /* ~Freeing Queen Ellesime

I killed the parasites Irenicus was using to drain the Tree of Life, and I freed Queen Ellesime from her cage. She then severed Irenicus' connection to the Tree, a disorientating process that may have weakened him. Ellesime has disappeared, perhaps to get reinforcements, leaving me with my only chance to gain revenge for everything Irenicus has stolen from me!~ */ EXIT
END

IF ~NumTimesTalkedTo(1)
Global("EllesimeLeave","AR2806",2)
~ THEN BEGIN 13 // from:
  SAY #54723 /* ~So she goes to rouse Elhan and the others while I am still weak.  So be it, I shall crush them all, if need be.  I retain your power, yet, <CHARNAME>.~ */
  IF ~~ THEN GOTO 14
END

IF ~~ THEN BEGIN 14 // from: 13.0
  SAY #54724 /* ~Your soul still courses through me.  Come and make your attempt to reclaim it, if you like. I have power enough to deal with you!~ */
  IF ~!IsValidForPartyDialog("Jaheira")
!IsValidForPartyDialog("Minsc")
!IsValidForPartyDialog("Imoen2")~ THEN DO ~Enemy()
~ EXIT
  IF ~IsValidForPartyDialog("Jaheira")~ THEN DO ~Enemy()~ EXTERN ~JAHEIRAJ~ 480
  IF ~!IsValidForPartyDialog("Jaheira")
IsValidForPartyDialog("Minsc")~ THEN DO ~Enemy()~ EXTERN ~MINSCJ~ 176
  IF ~!IsValidForPartyDialog("Jaheira")
!IsValidForPartyDialog("Minsc")
IsValidForPartyDialog("Imoen2")~ THEN DO ~Enemy()~ EXTERN ~IMOEN2J~ 30
END

IF ~NumTimesTalkedTo(2)
HP(Myself,1)
~ THEN BEGIN 15 // from:
  SAY #54725 /* ~I... *you* k-killed me...~ [IRENIC72] */
  IF ~~ THEN GOTO 16
END

IF ~~ THEN BEGIN 16 // from: 15.0
  SAY #54726 /* ~T-this is not... this... is not...~ [IRENIC73] */
  IF ~~ THEN DO ~ClearAllActions()
StartCutSceneMode()
ApplySpell(Myself,WIZARD_FREEDOM)
ActionOverride(Player1,Wait(2))
ActionOverride(Player1,StartDialogue("Player1",Player1))
PlayDeadInterruptable(300)
~ EXIT
END
